## bison 3.3.2.dfsg

=== examples/c/lexcalc/Makefile ===
# This Makefile is designed to be simple and readable.  It does not
# aim at portability.  It requires GNU Make.

BASE = lexcalc
BISON = bison
FLEX = flex
XSLTPROC = xsltproc

all: $(BASE)

%.c %.h %.xml %.gv: %.y
	$(BISON) $(BISONFLAGS) --defines --xml --graph=$*.gv -o $*.c $<

%.c: %.l
	$(FLEX) $(FLEXFLAGS) -o$@ $<

scan.o: parse.h
lexcalc: parse.o scan.o
	$(CC) $(CFLAGS) -o $@ $^

run: $(BASE)
	@echo "Type arithmetic expressions.  Quit with ctrl-d."
	./$<

html: parse.html
%.html: %.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) -o $@ $$($(BISON) --print-datadir)/xslt/xml2xhtml.xsl $<

CLEANFILES =						\
  $(BASE) *.o						\
  parse.[ch] parse.output parse.xml parse.html parse.gv	\
  scan.c
clean:
	rm -f $(CLEANFILES)

## bison 2.5.dfsg

=== debian/changelog ===
bison (2:2.5.dfsg-3ubuntu1) raring; urgency=low

  * Avoid assuming that gets is declared.
  * Use dh-autoreconf to assist with applying the former change.
    Build-depend on help2man as well since otherwise the resulting timestamp
    changes cause bison.1 to contain only an error message.
  * Comment out info_TEXINFOS in doc/Makefile.am so that autoreconf works
    with the DFSG-cleaned source package.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Nov 2012 13:38:51 +0000

bison (2:2.5.dfsg-3) unstable; urgency=low

  * Bump epoch to downgrade unstable version from 2.6.2.dfsg-1 back to
    2.5.dfsg-3.  Incompatibility in 2.6.2 introduces FTBFS in unstable,
    and we are in a freeze, hence this temporary workaround.  This version
    is identical to 1:2.5.dfsg-2.1 except this changelog file and the new
    version number (Closes: #691928).

 -- Chuan-kai Lin <cklin@debian.org>  Thu, 01 Nov 2012 11:04:49 -0700

bison (1:2.6.2.dfsg-1) unstable; urgency=low

  * New upstream version.
  * Switch build system from CDBS to debhelper v9.
  * Update Standards-Version to 3.9.3.0 (no change required).
  * Add ChangeLog-1998 and ChangeLog-2012 to binary packages.

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 23 Sep 2012 23:01:25 -0700

bison (1:2.5.dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add "Conflicts: liby-dev (= 1:2.5.dfsg-1)" to libbison-dev to ensure
    that this version that should never have existed gets dropped from
    user's systems. Closes: #645038

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 25 Nov 2011 11:35:14 +0100

bison (1:2.5.dfsg-2) unstable; urgency=low

  * Rename liby-dev to libbison-dev to avoid name conflict with Y sound
    server library header files (closes: #644200)

 -- Chuan-kai Lin <cklin@debian.org>  Fri, 07 Oct 2011 22:34:24 -0700

bison (1:2.5.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #631607, #643358)
  * Update Standards-Version to 3.9.2.0
  * Fixed all lintian warnings
  * Convert package to 3.0 (quilt) format
  * Move liby.a to the new liby-dev package for multiarch support.  Thanks
    to Riku Voipio <riku.voipio@iki.fi> for patch (closes: #642081)

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 02 Oct 2011 22:59:24 -0700

bison (1:2.4.1.dfsg-3) unstable; urgency=low

  * Move upstream yacc.1 man page to bison.yacc.1 and let the alternatives
    system manage yacc.1 (closes: #538395)
  * Remove worthless README.Debian file (closes: #536805)
  * Update Standards-Version to 3.8.3.0

 -- Chuan-kai Lin <cklin@debian.org>  Wed, 16 Sep 2009 14:42:36 -0700

bison (1:2.4.1.dfsg-2) unstable; urgency=low

  * Fix copyright file; bison is licensed under GPL-3 (closes: #535165)
  * Update Standards-Version to 3.8.2.0
  * Update to debhelper version 7

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 11 Jul 2009 12:20:04 -0700

bison (1:2.4.1.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #512702)
  * Remove 00_de-po.patch (subsumed by new upstream version)
  * Update Standards-Version to 3.8.0.0
  * Fix typo in bison.yacc.1, thanks to Christer Andersson
    (closes: #455756)
  * Remove --assert-working-epoch check
  * Add dversionmangle to watch file
  * Add misc:Depends dependency for debhelper

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 31 Jan 2009 13:00:10 -0800

bison (1:2.3.dfsg-5) unstable; urgency=low

  * Remove de.gmo when in the clean target (closes: #424144)

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 21 Jul 2007 23:24:03 -0700

bison (1:2.3.dfsg-4) unstable; urgency=low

  * Clean up yacc alternative breakage the right way by detecting with a
    heuristic whether the sysadmin set the yacc alternative to manual
    intentionally; thanks to Sven Joachim for the fix (closes: #384567)

 -- Chuan-kai Lin <cklin@debian.org>  Sat,  2 Sep 2006 01:26:32 -0700

bison (1:2.3.dfsg-3) unstable; urgency=low

  * Clean up the broken yacc alternatives left by bison 2.3.dfsg-1
    (closes: #383971, #382478)

 -- Chuan-kai Lin <cklin@debian.org>  Tue, 22 Aug 2006 22:12:27 -0700

bison (1:2.3.dfsg-2) unstable; urgency=low

  * Suggest instead of Recommend bison-doc (closes: #376662)
  * Apply patch from Justin Pryzby to handle more cases
    in postinst and prerm (closes: #374816)
  * Rename yacc to bison.yacc before packing the binary package
    to make alternatives work correctly (closes: #374574)
  * Apply German PO update from Holger Wansing
    (closes: #375698, #380346)

 -- Chuan-kai Lin <cklin@debian.org>  Wed,  2 Aug 2006 22:09:44 -0700

bison (1:2.3.dfsg-1) unstable; urgency=low

  * New upstream version

 -- Chuan-kai Lin <cklin@debian.org>  Wed,  7 Jun 2006 09:57:42 -0700

bison (1:2.2.dfsg-1) unstable; urgency=low

  * New upstream version (closes: #340012, #354057)
  * Convert build process to CDBS
  * Acknowledge previous NMU (closes: #338833, #309370, #333622)
  * Remove GFDL documentation with Cover Text from source tarball
    and stop generating bison-doc from the bison source package.
    A separate bison-doc source package will be created shortly.
  * Update Standards-Version to 3.7.2.0

 -- Chuan-kai Lin <cklin@debian.org>  Sun,  4 Jun 2006 21:03:41 -0700

bison (1:2.1-0.2) unstable; urgency=medium

  * Fix upgrade to debhelper 4 (closes: #338833).

 -- Matthias Klose <doko@debian.org>  Sun, 13 Nov 2005 10:31:01 +0000

bison (1:2.1-0.1) unstable; urgency=low

  * NMU
  * New upstream version (closes: #333622).
    - Fix SIGSEGV on invalid %parse-param (closes: #309370).
  * Fix epoch in Replaces field (closes: #307947, #325738).
  * debian/*copyright: Update copyright year and FSF address.
  * debian/control: Update standards version to 3.6.2.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Nov 2005 15:10:43 +0100

bison (1:2.0-2) unstable; urgency=low

  * Upload to unstable after sarge release
    (closes: #273366, #297197, #303056)
  * Bump watch file version

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 13 Aug 2005 21:21:42 -0700

bison (1:2.0-1) experimental; urgency=low



=== debian/control ===
Source: bison
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuan-kai Lin <cklin@debian.org>
Homepage: http://www.gnu.org/software/bison/
Standards-Version: 3.9.2.0
Build-Depends: debhelper (>= 8.1.3), gettext, m4 (>= 1.4-14), autotools-dev, cdbs (>=0.4.93), dh-autoreconf, autopoint, help2man

Package: bison
Section: devel
Priority: optional
Architecture: any
Depends: m4, ${shlibs:Depends}, ${misc:Depends}, libbison-dev (= ${binary:Version})
Multi-Arch: foreign
Suggests: bison-doc
Description: YACC-compatible parser generator
 Bison is a general-purpose parser generator that converts a
 grammar description for an LALR(1) context-free grammar into a C
 program to parse that grammar.  Once you are proficient with Bison, you
 may use it to develop a wide range of language parsers, from those used
 in simple desk calculators to complex programming languages.
 .
 Bison is upward compatible with Yacc: all properly-written Yacc
 grammars ought to work with Bison with no change.  Anyone familiar with
 Yacc should be able to use Bison with little trouble.  Documentation of
 the program is in the bison-doc package.

Package: libbison-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${misc:Depends}
Recommends: bison
Conflicts: liby-dev (= 1:2.5.dfsg-1)
Multi-Arch: same
Description: YACC-compatible parser generator - development library
 Bison is a general-purpose parser generator that converts a
 grammar description for an LALR(1) context-free grammar into a C
 program to parse that grammar.  Once you are proficient with Bison, you
 may use it to develop a wide range of language parsers, from those used
 in simple desk calculators to complex programming languages.
 .
 This package provides the liby.a file including functions needed by
 yacc parsers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
SRCDIR = $(CURDIR)
DESTDIR = $(CURDIR)/debian/bison

clean::
	$(RM) $(SRCDIR)/po/de.gmo

makebuilddir/bison::
	touch --date="Jan 01 2000" \
		$(SRCDIR)/doc/bison.info \
                $(SRCDIR)/doc/bison.texinfo \
	        $(SRCDIR)/doc/fdl.texi

build/bison::
	cd $(CURDIR)/po && $(MAKE) update-gmo

binary-post-install/bison::
	$(RM) -R $(DESTDIR)/usr/share/info/
	mv $(DESTDIR)/usr/bin/yacc $(DESTDIR)/usr/bin/bison.yacc 
	mv $(DESTDIR)/usr/share/man/man1/yacc.1 \
		$(DESTDIR)/usr/share/man/man1/bison.yacc.1

## bison 2.7.1.dfsg

=== debian/changelog ===
bison (2:2.7.1.dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #694951, #701388).
  * Update Standards-Version to 3.9.4.0 (no change required).
  * Revise makeinfo inhibit in debian/rules.

 -- Chuan-kai Lin <cklin@debian.org>  Thu, 16 May 2013 10:06:11 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: bison
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chuan-kai Lin <cklin@debian.org>
+Maintainer: Chuan-kai Lin <cklin@debian.org>
 Homepage: http://www.gnu.org/software/bison/
-Standards-Version: 3.9.2.0
-Build-Depends: debhelper (>= 8.1.3), gettext, m4 (>= 1.4-14), autotools-dev, cdbs (>=0.4.93), dh-autoreconf, autopoint, help2man
+Standards-Version: 3.9.4.0
+Build-Depends: debhelper (>= 9), gettext, m4 (>= 1.4-14), autotools-dev
 
 Package: bison
 Section: devel
@@ -32,7 +31,6 @@
 Architecture: any
 Depends: ${misc:Depends}
 Recommends: bison
-Conflicts: liby-dev (= 1:2.5.dfsg-1)
 Multi-Arch: same
 Description: YACC-compatible parser generator - development library
  Bison is a general-purpose parser generator that converts a

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

SRCDIR = $(CURDIR)
DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --parallel

override_dh_auto_clean:
	[ ! -f $(SRCDIR)/Makefile ] || dh_auto_clean

override_dh_auto_build:
	# Touch all files in the dependency tree of bison.info to
	# inhibit makeinfo invocation in the build process.
	touch --date="Jan 01 2000" \
		$(SRCDIR)/doc/bison.info \
		$(SRCDIR)/doc/bison.texi \
		$(SRCDIR)/doc/*.texi \
		$(SRCDIR)/build-aux/cross-options.pl \
		$(SRCDIR)/src/getargs.c
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	$(RM) -R $(DESTDIR)/usr/share/info/
	mv $(DESTDIR)/usr/bin/yacc $(DESTDIR)/usr/bin/bison.yacc
	mv $(DESTDIR)/usr/share/man/man1/yacc.1 \
		$(DESTDIR)/usr/share/man/man1/bison.yacc.1

override_dh_auto_test:

## bison 3.0.2.dfsg

=== debian/changelog ===
bison (2:3.0.2.dfsg-2) unstable; urgency=low

  * Fix parallel builds by inhibiting example code extraction in Makefiles
    (Closes: #732034).

 -- Chuan-kai Lin <cklin@debian.org>  Mon, 16 Dec 2013 21:49:59 -0800

bison (2:3.0.2.dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #729745).
  * Update Standards-Version to 3.9.5.0 (no change required).

 -- Chuan-kai Lin <cklin@debian.org>  Mon, 09 Dec 2013 23:14:06 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chuan-kai Lin <cklin@debian.org>
 Homepage: http://www.gnu.org/software/bison/
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.5.0
 Build-Depends: debhelper (>= 9), gettext, m4 (>= 1.4-14), autotools-dev
 
 Package: bison

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,14 @@
 override_dh_auto_build:
 	# Touch all files in the dependency tree of bison.info to
 	# inhibit makeinfo invocation in the build process.
+	install -d $(SRCDIR)/doc/figs
 	touch --date="Jan 01 2000" \
 		$(SRCDIR)/doc/bison.info \
 		$(SRCDIR)/doc/bison.texi \
+		$(SRCDIR)/doc/bison.help \
+		$(SRCDIR)/doc/figs/example.txt \
+		$(SRCDIR)/doc/figs/example-reduce.txt \
+		$(SRCDIR)/doc/figs/example-shift.txt \
 		$(SRCDIR)/doc/*.texi \
 		$(SRCDIR)/build-aux/cross-options.pl \
 		$(SRCDIR)/src/getargs.c

## bison 3.0.4.dfsg

=== debian/changelog ===
bison (2:3.0.4.dfsg-1ubuntu1) cosmic; urgency=medium

  * debian/patches/glibc_2.28_libio_removal_fix.patch: fix FTBFS caused by
    glibc's removal of libio.h.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 12 Oct 2018 13:47:14 -0400

bison (2:3.0.4.dfsg-1build1) zesty; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2017 15:46:26 +0000

bison (2:3.0.4.dfsg-1) unstable; urgency=medium

  * New upstream version. (Closes: #733942, #772653)
  * Update Standards-Version to 3.9.6.0 (no change required).
  * Adopt machine-readable format for debian/copyright.
  * Use /bin/sh as interpreter in preinst. (Closes: #736237)
  * Enable verbose build logs. Thanks to Helmut Grohne <helmut@subdivi.de>
    for the patch. (Closes: #751342)

 -- Chuan-kai Lin <cklin@debian.org>  Wed, 05 Aug 2015 00:05:30 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: bison
 Section: devel
 Priority: optional
-Maintainer: Chuan-kai Lin <cklin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chuan-kai Lin <cklin@debian.org>
 Homepage: http://www.gnu.org/software/bison/
-Standards-Version: 3.9.5.0
+Standards-Version: 3.9.6.0
 Build-Depends: debhelper (>= 9), gettext, m4 (>= 1.4-14), autotools-dev
 
 Package: bison

## bison 3.3.2.dfsg

=== debian/changelog ===
bison (2:3.3.2.dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Chuan-kai Lin <cklin@debian.org>  Mon, 04 Feb 2019 21:27:28 -0800

bison (2:3.2.4.dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Update Standards-Version to 4.3.0.1 (no change required).
  * Update to debhelper v12.

 -- Chuan-kai Lin <cklin@debian.org>  Thu, 03 Jan 2019 22:34:59 -0800

bison (2:3.2.2.dfsg-1) unstable; urgency=medium

  * New upstream version. (Closes: #851051, #901442)
  * Update to debhelper v11.

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 25 Nov 2018 17:32:05 -0800

bison (2:3.2.1.dfsg-1) experimental; urgency=medium

  * New upstream version.
  * Update Standards-Version to 4.2.1.0 (no change required).

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 18 Nov 2018 17:16:32 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: bison
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chuan-kai Lin <cklin@debian.org>
+Maintainer: Chuan-kai Lin <cklin@debian.org>
 Homepage: http://www.gnu.org/software/bison/
-Standards-Version: 3.9.6.0
-Build-Depends: debhelper (>= 9), gettext, m4 (>= 1.4-14), autotools-dev
+Standards-Version: 4.3.0.1
+Build-Depends: debhelper-compat (= 12), gettext, m4 (>= 1.4-14), help2man
 
 Package: bison
 Section: devel

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,17 @@
 DESTDIR = $(CURDIR)/debian/tmp
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	[ ! -f $(SRCDIR)/Makefile ] || dh_auto_clean
+
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-silent-rules
+
+override_dh_autoreconf:
+	echo '@setfilename bison.info' > $(SRCDIR)/doc/bison.texi
+	dh_autoreconf
 
 override_dh_auto_build:
 	# Touch all files in the dependency tree of bison.info to
@@ -18,7 +25,6 @@
 	install -d $(SRCDIR)/doc/figs
 	touch --date="Jan 01 2000" \
 		$(SRCDIR)/doc/bison.info \
-		$(SRCDIR)/doc/bison.texi \
 		$(SRCDIR)/doc/bison.help \
 		$(SRCDIR)/doc/figs/example.txt \
 		$(SRCDIR)/doc/figs/example-reduce.txt \

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://ftp.gnu.org/gnu/bison/bison-(.+)\.tar\.gz

## bison 3.4.1+dfsg

=== debian/changelog ===
bison (2:3.4.1+dfsg-4) unstable; urgency=medium

  * Update Standards-Version to 4.4.0 (no change required).
  * Another try at fixing nondeterministic FTBFS in parallel builds.

 -- Chuan-kai Lin <cklin@debian.org>  Tue, 09 Jul 2019 20:22:36 -0700

bison (2:3.4.1+dfsg-3) unstable; urgency=medium

  * Add parse.h dependency to avoid parallel build FTBFS.

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 07 Jul 2019 11:20:36 -0700

bison (2:3.4.1+dfsg-2) unstable; urgency=medium

  * Replace autopkgtest with dh_auto_test.
  * Exclude .mk and .test files from installed examples.

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 30 Jun 2019 16:51:25 -0700

bison (2:3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Stop depending on libbison-dev. (Closes: #930091)
  * Install examples (which are DFSG-free).
  * Add autopkgtest configuration.
  * Use mk-origtargz for source repacking.
  * Use +dfsg version suffix (lintian dfsg-version-with-period).
  * Various lintian fixes and overrides.

 -- Chuan-kai Lin <cklin@debian.org>  Mon, 17 Jun 2019 14:56:07 -0700

## bison 3.5.1%2Bdfsg

=== examples/d/Makefile ===
# This Makefile is designed to be simple and readable.  It does not
# aim at portability.  It requires GNU Make.

BISON = bison
DC = dmd
XSLTPROC = xsltproc

all: calc

%.d %.xml %.gv: %.y
	$(BISON) $(BISONFLAGS) --xml --graph=$*.gv -o $*.d $<

%: %.d
	$(DC) $(DCFLAGS) $<

run: calc
	@echo "Type arithmetic expressions.  Quit with ctrl-d."
	./$<

html: calc.html
%.html: %.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) -o $@ $$($(BISON) --print-datadir)/xslt/xml2xhtml.xsl $<

clean:
	rm -f calc calc.d calc.xml calc.gv calc.html *.o

## bison 3.5.1+dfsg

=== debian/changelog ===
bison (2:3.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.5.1+dfsg

 -- Chuan-kai Lin <cklin@debian.org>  Tue, 21 Jan 2020 22:25:31 -0800

bison (2:3.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.4.2+dfsg

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 21 Sep 2019 15:38:14 -0700

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Chuan-kai Lin <cklin@debian.org>
-Homepage: http://www.gnu.org/software/bison/
-Standards-Version: 4.3.0.1
-Build-Depends: debhelper-compat (= 12), gettext, m4 (>= 1.4-14), help2man
+Homepage: https://www.gnu.org/software/bison/
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), gettext, flex, m4 (>= 1.4-14), help2man
 
 Package: bison
-Section: devel
-Priority: optional
 Architecture: any
-Depends: m4, ${shlibs:Depends}, ${misc:Depends}, libbison-dev (= ${binary:Version})
+Depends: m4, ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Suggests: bison-doc
 Description: YACC-compatible parser generator
@@ -27,7 +25,6 @@
 
 Package: libbison-dev
 Section: libdevel
-Priority: optional
 Architecture: any
 Depends: ${misc:Depends}
 Recommends: bison
@@ -41,4 +38,3 @@
  .
  This package provides the liby.a file including functions needed by
  yacc parsers.
-

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 SRCDIR = $(CURDIR)
 DESTDIR = $(CURDIR)/debian/tmp
@@ -40,6 +42,3 @@
 	mv $(DESTDIR)/usr/bin/yacc $(DESTDIR)/usr/bin/bison.yacc
 	mv $(DESTDIR)/usr/share/man/man1/yacc.1 \
 		$(DESTDIR)/usr/share/man/man1/bison.yacc.1
-
-override_dh_auto_test:
-

## bison 3.7+dfsg

=== debian/changelog ===
bison (2:3.7+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7+dfsg

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 25 Jul 2020 10:47:29 -0700

bison (2:3.6.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.6.3+dfsg

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 07 Jun 2020 12:22:15 -0700

bison (2:3.6.1+dfsg-2) unstable; urgency=medium

  * Fix parse.h FTBFS for alternative .o file name

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 10 May 2020 21:16:01 -0700

bison (2:3.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.6.1+dfsg

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 10 May 2020 10:25:23 -0700

bison (2:3.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.5.3+dfsg
  * Update Standards-Version to 4.5.0 (no change required).
  * Use execute_before and execute_after targets.

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 14 Mar 2020 21:51:11 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chuan-kai Lin <cklin@debian.org>
 Homepage: https://www.gnu.org/software/bison/
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12), gettext, flex, m4 (>= 1.4-14), help2man
 
 Package: bison

## bison 3.7.5+dfsg

=== debian/changelog ===
bison (2:3.7.5+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7.5+dfsg

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 30 Jan 2021 10:54:29 -0800

bison (2:3.7.4+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7.4+dfsg
  * Update Standards-Version to 4.5.1 (no change required)

 -- Chuan-kai Lin <cklin@debian.org>  Fri, 04 Dec 2020 13:25:48 -0800

bison (2:3.7.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7.3+dfsg

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 17 Oct 2020 14:00:26 -0700

bison (2:3.7.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7.2+dfsg

 -- Chuan-kai Lin <cklin@debian.org>  Mon, 07 Sep 2020 10:35:55 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chuan-kai Lin <cklin@debian.org>
 Homepage: https://www.gnu.org/software/bison/
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 12), gettext, flex, m4 (>= 1.4-14), help2man
 
 Package: bison

## bison 3.7.6+dfsg

=== debian/changelog ===
bison (2:3.7.6+dfsg-1build1) impish; urgency=medium

  * No-change rebuild with binutils 2.37 snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Jul 2021 10:24:55 +0200

bison (2:3.7.6+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7.6+dfsg

 -- Chuan-kai Lin <cklin@debian.org>  Wed, 05 May 2021 20:17:54 -0700

## bison 3.8.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: bison
 Section: devel
 Priority: optional
-Maintainer: Chuan-kai Lin <cklin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chuan-kai Lin <cklin@debian.org>
 Homepage: https://www.gnu.org/software/bison/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 12), gettext, flex, m4 (>= 1.4-14), help2man
 
 Package: bison

## bison 3.8.2+dfsg

=== debian/changelog ===
bison (2:3.8.2+dfsg-1build3) questing; urgency=medium

  * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 22 Sep 2025 11:19:13 +0000

bison (2:3.8.2+dfsg-1build2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:54:34 +0200

bison (2:3.8.2+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:43:48 +0100

bison (2:3.8.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.8.2+dfsg

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 02 Oct 2021 16:25:58 -0700

bison (2:3.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.8.1+dfsg
  * Update Standards-Version to 4.6.0 (no change required)

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 19 Sep 2021 15:18:55 -0700

=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-silent-rules
 
-override_dh_autoreconf:
+execute_before_dh_autoreconf:
 	echo '@setfilename bison.info' > $(SRCDIR)/doc/bison.texi
-	dh_autoreconf
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	# Touch all files in the dependency tree of bison.info to
 	# inhibit makeinfo invocation in the build process.
 	install -d $(SRCDIR)/doc/figs
@@ -34,10 +33,8 @@
 		$(SRCDIR)/doc/*.texi \
 		$(SRCDIR)/build-aux/cross-options.pl \
 		$(SRCDIR)/src/getargs.c
-	dh_auto_build
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	$(RM) -R $(DESTDIR)/usr/share/info/
 	mv $(DESTDIR)/usr/bin/yacc $(DESTDIR)/usr/bin/bison.yacc
 	mv $(DESTDIR)/usr/share/man/man1/yacc.1 \

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,pgpmode=auto" \
https://ftp.gnu.org/gnu/bison/bison-(.+)\.tar\.xz

## bison A2.6-12

=== Makefile ===

#		Bison and Parser Tests

# where to install 
DESTDIR = /usr/local

#where to make tests
TESTDIR = /tmp/bisontests

all:
	@echo usage:
	@echo 	to install all three subdirs:  	make Install
	@echo  	to test in two subdirs:      	make Test
	@echo	to clean all three subdirs:  	make Clean


Install:
	-mkdir ${DESTDIR}/bin
	-mkdir ${DESTDIR}/doc
	-mkdir ${DESTDIR}/doc/syntax 
	-mkdir ${DESTDIR}/etc
	-mkdir ${DESTDIR}/lib
	-mkdir ${DESTDIR}/include
	-mkdir ${DESTDIR}/help
	-mkdir ${DESTDIR}/share 
	-mkdir ${DESTDIR}/info 
	-mkdir ${DESTDIR}/man
	-mkdir ${DESTDIR}/man/man1
	(cd bison*; ./configure --prefix=${DESTDIR}; make install)
	(cd mkparser; make install DESTDIR=${DESTDIR})
	(cd C++parser; make install DESTDIR=${DESTDIR})


TESTFLAGS = BISON=${TESTDIR}/bin/bison  \
		YYFLAG=-DYYDEBUG   CDEBUGFLAGS=-g

Test:
	-mkdir ${TESTDIR}
	(make Install DESTDIR=${TESTDIR})
	(cd mkparser;  make testparse ${TESTFLAGS};  ./testparse)
	(cd C++parser; make testparser ${TESTFLAGS};  ./testparser)

Clean:
	(cd C++parser; make clean)
	(cd mkparser; make clean)
	(cd bison*; make clean)
	rm -f \#* ,* *~ *.CKP *.BAK *.bas errs core
	rm -f *.ln *.o *.dog tags TAGS make.log
	rm -f *.do *.eh *.ih *.a *.fwm *.snf *.pcf *.rtx *.fb

=== C++parser/Makefile ===
# parser - generate a C++ object declaration from a grammar file
#		(requires AUIS Bison)

# targets:  
#	all - builds libparser.a
#	install - installs four files noted below
#	testparser - builds a rudimentary test
#	clean - deletes non-source files	

#  	To configure for your system 
#
#	Specify the installation tree,
DESTDIR = /usr/local
# 	the C++ compiler,
CXX = g++	
#	and the location of the AUIS Bison
BISON = bison
#	Add compiler flags here,
COMPILERFLAGS =
#	specify debug mode (often -O or -g),
CDEBUGFLAGS = -O2
#	specify additional includes,
INCLUDES = -I. 
#	add any defines desired,
DEFINES =
#	and give flags for CXX when used for ld.
LOADFLAGS =
#	flag -DYYDEBUG if parse debugging wanted
YYFLAG =

        CPPFLAGS = $(COMPILERFLAGS) $(CDEBUGFLAGS) $(INCLUDES) $(DEFINES)  $(YYFLAG)

.SUFFIXES:
.SUFFIXES:  .o .C 

.C.o:
	rm -f $@
	$(CXX) $(CPPFLAGS) -c $*.C


all: libparser.a

libparser.a: parser.o
	ar r $@ $?
	ranlib $@


INSTALLFILES =  ${DESTDIR}/bin/mkparserclass ${DESTDIR}/include/parser.H ${DESTDIR}/lib/libparser.a #${DESTDIR}/doc/prsclass.doc  ${DESTDIR}/help/atkparse.doc

install:: ${INSTALLFILES}
${DESTDIR}/bin/mkparserclass:: mkparserclass
	rm -f $@
	cp  $? $@
	chmod a+x $@
${DESTDIR}/include/parser.H:: parser.H
	rm -f $@
	cp  $? $@
${DESTDIR}/lib/libparser.a:: libparser.a
	rm -f $@
	cp  $? $@
	ranlib $@
${DESTDIR}/doc/prsclass.doc:: prsclass.asc
	rm -f $@
	cp  $? $@
${DESTDIR}/help/atkparse.doc:: parse.asc
	rm -f $@
	cp  $? $@
install:: 
	chmod a-w ${INSTALLFILES}
	touch install

#
#rudimentary test:  make testparser;  ./testparser
#
foo.H foo.C: foo.gra
	${BISON} -b foo -k foo.gra
	./mkparserclass foo
TESTOBJS =  foo.o testparser.o parser.o
testparser.o: foo.H
testparser: ${TESTOBJS} Makefile mkparserclass
	$(CXX) $(CDEBUGFLAGS) ${LOADFLAGS} -o testparser ${TESTOBJS}


clean: 
	rm -f \#* ,* *~ *.CKP *.BAK *.bas errs core
	rm -f *.ln *.o *.dog tags TAGS make.log
	rm -f *.do *.eh *.ih *.a *.fwm *.snf *.pcf *.rtx *.fb
	rm -f install.time install.doc
	rm -f testparser
	rm -f foo.C foo.H foo.act *.tab.* *.output

=== mkparser/Makefile ===
# cparser
#		AUIS parser

#  To configure for your system, specify the installation tree:
DESTDIR = /usr/local

BISON=${DESTDIR}/bin/bison

# To provide for debugging symbol tables remove # on next line
#CDEBUGFLAGS = -g

# To debug parsing, remove the # from the next line.
#YYFLAG= -DYYDEBUG

# Memcopy
# The code uses bcopy().  If your system instead supplies memcpy,
# you need to remove the # from the next line.
#MEMFLAG = -DUSEMEMCPY 

CFLAGS = -Dvoid=int  -I.   \
		${CDEBUGFLAGS} ${YYFLAG}  ${MEMFLAG}


libcparser.a: cparser.o
	ar r libcparser.a cparser.o
	ranlib libcparser.a


INSTALLFILES =  ${DESTDIR}/bin/mkparser ${DESTDIR}/include/cparser.h ${DESTDIR}/lib/libcparser.a #${DESTDIR}/doc/parser.doc

install::  ${INSTALLFILES}
${DESTDIR}/bin/mkparser :: mkparser
	rm -f $@
	cp  $? $@
	chmod a+x $@
${DESTDIR}/include/cparser.h :: cparser.h
	rm -f $@
	cp  $? $@
${DESTDIR}/lib/libcparser.a :: libcparser.a
	rm -f $@
	cp  $? $@
	ranlib $@
${DESTDIR}/doc/parser.doc :: parser.asc
	rm -f $@
	cp  $? $@
install:: 
	chmod a-w ${INSTALLFILES}
	touch install


TESTOBJS =  foo.o testparse.o cparser.o
foo.h foo.c: foo.y
	${BISON} -k foo.y
	./mkparser foo
testparse: foo.h ${TESTOBJS}
	cc -o testparse ${TESTOBJS}


clean: 
	rm -f \#* ,* *~ *.CKP *.BAK *.bas errs core
	rm -f *.ln *.o *.dog tags TAGS make.log
	rm -f *.do *.eh *.ih *.a *.fwm *.snf *.pcf *.rtx *.fb
	rm -f install.time install.doc
	rm -f testparse
	rm -f foo.c foo.h foo.act foo.tab.c

## bison Mar87

=== Makefile ===
# Makefile for bison

# where the installed binary goes
BINDIR = /usr/local

# where the parsers go
PARSERDIR = /usr/local/lib

# names of parser files
PFILE = bison.simple
PFILE1 = bison.hairy

# It is unwise ever to compile a program without symbols.
CFLAGS = -g

PFILES = -DXPFILE=\"$(PARSERDIR)/$(PFILE)\" \
	 -DXPFILE1=\"$(PARSERDIR)/$(PFILE1)\"

OBJECTS = LR0.o allocate.o closure.o conflicts.o derives.o files.o	\
	  getargs.o gram.o lalr.o					\
	  lex.o main.o nullable.o output.o print.o reader.o symtab.o	\
	  warshall.o

start: bison

clean:
	rm -f *.o core

install: bison
	install bison $(BINDIR)
	install -c $(PFILE) $(PFILE1) $(PARSERDIR)

bison: $(OBJECTS)
	$(CC) -g -o bison $(OBJECTS)

# This file is different to pass the parser file names
# to the compiler.
files.o: files.c files.h new.h gram.h
	$(CC) -c $(CFLAGS) $(PFILES) files.c

LR0.o: machine.h new.h gram.h state.h
closure.o: machine.h new.h gram.h
conflicts.o: machine.h new.h files.h gram.h state.h
derives.o: new.h types.h gram.h
getargs.o: files.h
lalr.o: machine.h types.h state.h new.h gram.h
lex.o: files.h symtab.h lex.h
main.o: machine.h
nullable.o: types.h gram.h new.h
output.o: machine.h new.h files.h gram.h state.h
print.o: machine.h new.h files.h gram.h state.h
reader.o: files.h new.h symtab.h lex.h gram.h
symtab.o: new.h symtab.h gram.h
warshall.o: machine.h
